package com.elephant.framework.galaxy.aroad.bigdata;

/** 
* @Description: 服务区明细表（包含经纬度坐标） 
* @Param:  
* @return:  
* @Author: dongjili 
* @Date: 2019/5/27 0027 
*/ 
public class BaseHighWayService {
    private  String id;
    private  String lxbh;//路线编号
    private  String lxmc;//路线名称
    private  String zh1;//桩号
    private  String fwsslx;//服务设施类型
    private  String fwssmc;//服务设施名称
    private  String csyysj;//初始运营时间
    private  String bjxs;//布局形式
    private  String jyms;//经营模式
    private  String zdmj;//占地面积
    private  String tccmj;//停车场面积
    private  String tcwsl;//停车位数量
    private  String fwssgnSFycs;//服务设施功能_是否有厕所
    private  String fwssgnSfyjyss;//服务设施功能_是否有加油设施
    private  String fwssgnSfyjqss;//服务设施功能_是否有加气设施
    private  String fwssgnSfyclcdss;//服务设施功能_是否有车辆充电设施
    private  String fwssgnSfycyss;//服务设施功能_是否有餐饮设施
    private  String fwssgnSfycs;//服务设施功能_是否有超市
    private  String fwssgnSfyzsss;//服务设施功能_是否有住宿设施
    private  String fwssgnSfyqcwx;//服务设施功能_是否有汽车维修
    private  String bz;//备注
    private  String lxbm;//路线编码
    private  String zh;//桩号
    private  String jd;//经度
    private  String wd;//纬度
    private Integer year;//年度

    public BaseHighWayService() {
    }

    public BaseHighWayService(String id, String lxbh, String lxmc, String zh1, String fwsslx, String fwssmc, String csyysj, String bjxs, String jyms, String zdmj, String tccmj, String tcwsl, String fwssgnSFycs, String fwssgnSfyjyss, String fwssgnSfyjqss, String fwssgnSfyclcdss, String fwssgnSfycyss, String fwssgnSfycs, String fwssgnSfyzsss, String fwssgnSfyqcwx, String bz, String lxbm, String zh, String jd, String wd) {
        this.id = id;
        this.lxbh = lxbh;
        this.lxmc = lxmc;
        this.zh1 = zh1;
        this.fwsslx = fwsslx;
        this.fwssmc = fwssmc;
        this.csyysj = csyysj;
        this.bjxs = bjxs;
        this.jyms = jyms;
        this.zdmj = zdmj;
        this.tccmj = tccmj;
        this.tcwsl = tcwsl;
        this.fwssgnSFycs = fwssgnSFycs;
        this.fwssgnSfyjyss = fwssgnSfyjyss;
        this.fwssgnSfyjqss = fwssgnSfyjqss;
        this.fwssgnSfyclcdss = fwssgnSfyclcdss;
        this.fwssgnSfycyss = fwssgnSfycyss;
        this.fwssgnSfycs = fwssgnSfycs;
        this.fwssgnSfyzsss = fwssgnSfyzsss;
        this.fwssgnSfyqcwx = fwssgnSfyqcwx;
        this.bz = bz;
        this.lxbm = lxbm;
        this.zh = zh;
        this.jd = jd;
        this.wd = wd;
    }

    public Integer getYear() {
        return year;
    }

    public void setYear(Integer year) {
        this.year = year;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getLxbh() {
        return lxbh;
    }

    public void setLxbh(String lxbh) {
        this.lxbh = lxbh;
    }

    public String getLxmc() {
        return lxmc;
    }

    public void setLxmc(String lxmc) {
        this.lxmc = lxmc;
    }

    public String getZh1() {
        return zh1;
    }

    public void setZh1(String zh1) {
        this.zh1 = zh1;
    }

    public String getFwsslx() {
        return fwsslx;
    }

    public void setFwsslx(String fwsslx) {
        this.fwsslx = fwsslx;
    }

    public String getFwssmc() {
        return fwssmc;
    }

    public void setFwssmc(String fwssmc) {
        this.fwssmc = fwssmc;
    }

    public String getCsyysj() {
        return csyysj;
    }

    public void setCsyysj(String csyysj) {
        this.csyysj = csyysj;
    }

    public String getBjxs() {
        return bjxs;
    }

    public void setBjxs(String bjxs) {
        this.bjxs = bjxs;
    }

    public String getJyms() {
        return jyms;
    }

    public void setJyms(String jyms) {
        this.jyms = jyms;
    }

    public String getZdmj() {
        return zdmj;
    }

    public void setZdmj(String zdmj) {
        this.zdmj = zdmj;
    }

    public String getTccmj() {
        return tccmj;
    }

    public void setTccmj(String tccmj) {
        this.tccmj = tccmj;
    }

    public String getTcwsl() {
        return tcwsl;
    }

    public void setTcwsl(String tcwsl) {
        this.tcwsl = tcwsl;
    }

    public String getFwssgnSFycs() {
        return fwssgnSFycs;
    }

    public void setFwssgnSFycs(String fwssgnSFycs) {
        this.fwssgnSFycs = fwssgnSFycs;
    }

    public String getFwssgnSfyjyss() {
        return fwssgnSfyjyss;
    }

    public void setFwssgnSfyjyss(String fwssgnSfyjyss) {
        this.fwssgnSfyjyss = fwssgnSfyjyss;
    }

    public String getFwssgnSfyjqss() {
        return fwssgnSfyjqss;
    }

    public void setFwssgnSfyjqss(String fwssgnSfyjqss) {
        this.fwssgnSfyjqss = fwssgnSfyjqss;
    }

    public String getFwssgnSfyclcdss() {
        return fwssgnSfyclcdss;
    }

    public void setFwssgnSfyclcdss(String fwssgnSfyclcdss) {
        this.fwssgnSfyclcdss = fwssgnSfyclcdss;
    }

    public String getFwssgnSfycyss() {
        return fwssgnSfycyss;
    }

    public void setFwssgnSfycyss(String fwssgnSfycyss) {
        this.fwssgnSfycyss = fwssgnSfycyss;
    }

    public String getFwssgnSfycs() {
        return fwssgnSfycs;
    }

    public void setFwssgnSfycs(String fwssgnSfycs) {
        this.fwssgnSfycs = fwssgnSfycs;
    }

    public String getFwssgnSfyzsss() {
        return fwssgnSfyzsss;
    }

    public void setFwssgnSfyzsss(String fwssgnSfyzsss) {
        this.fwssgnSfyzsss = fwssgnSfyzsss;
    }

    public String getFwssgnSfyqcwx() {
        return fwssgnSfyqcwx;
    }

    public void setFwssgnSfyqcwx(String fwssgnSfyqcwx) {
        this.fwssgnSfyqcwx = fwssgnSfyqcwx;
    }

    public String getBz() {
        return bz;
    }

    public void setBz(String bz) {
        this.bz = bz;
    }

    public String getLxbm() {
        return lxbm;
    }

    public void setLxbm(String lxbm) {
        this.lxbm = lxbm;
    }

    public String getZh() {
        return zh;
    }

    public void setZh(String zh) {
        this.zh = zh;
    }

    public String getJd() {
        return jd;
    }

    public void setJd(String jd) {
        this.jd = jd;
    }

    public String getWd() {
        return wd;
    }

    public void setWd(String wd) {
        this.wd = wd;
    }

    @Override
    public String toString() {
        return "BaseHighWayService{" +
                "id='" + id + '\'' +
                ", lxbh='" + lxbh + '\'' +
                ", lxmc='" + lxmc + '\'' +
                ", zh1='" + zh1 + '\'' +
                ", fwsslx='" + fwsslx + '\'' +
                ", fwssmc='" + fwssmc + '\'' +
                ", csyysj='" + csyysj + '\'' +
                ", bjxs='" + bjxs + '\'' +
                ", jyms='" + jyms + '\'' +
                ", zdmj='" + zdmj + '\'' +
                ", tccmj='" + tccmj + '\'' +
                ", tcwsl='" + tcwsl + '\'' +
                ", fwssgnSFycs='" + fwssgnSFycs + '\'' +
                ", fwssgnSfyjyss='" + fwssgnSfyjyss + '\'' +
                ", fwssgnSfyjqss='" + fwssgnSfyjqss + '\'' +
                ", fwssgnSfyclcdss='" + fwssgnSfyclcdss + '\'' +
                ", fwssgnSfycyss='" + fwssgnSfycyss + '\'' +
                ", fwssgnSfycs='" + fwssgnSfycs + '\'' +
                ", fwssgnSfyzsss='" + fwssgnSfyzsss + '\'' +
                ", fwssgnSfyqcwx='" + fwssgnSfyqcwx + '\'' +
                ", bz='" + bz + '\'' +
                ", lxbm='" + lxbm + '\'' +
                ", zh='" + zh + '\'' +
                ", jd='" + jd + '\'' +
                ", wd='" + wd + '\'' +
                ", year=" + year +
                '}';
    }
}
